حل مشکل Gradle Sync Android Studio

ابزار های برنامه نویسی موجود برای سیستم های متن باز یا Open Source همانند خود این سیستم ها بسیار بی کیفیت و بی نظم و ترتیب هستند. به طوریکه ساعت ها وقت شما را هدر می رود و صرف یک مشکل پیش پا افتاده و ساده می شود که حتی ارزش فکر کردن ندارند. ولی به هر حال سیستم عامل اندروید به دلیل فراگیر شدن بسیاری از ما را علیرغم کراهت مجبور به استفاده از آن کرده است. امروز می خواهیم حل مشکل Android Studio : Gradle’s dependency cache may be corrupt را با شما به اشتراک بگذاریم که به شخصه زمان زیادی را پای آن به هدر ریختم. حالت دیگر نمایش خطا با عنوان Failed to open zip file هست که آن هم همین مشکل است. برای حل مشکل Gradle Sync Android Studio می بایست تک تک روش های زیر را امتحان کنید، به احتمال زیاد مشکلتان برطرف می شود :

 

طرح مشکل :

از منوی Tools گزینه ی Android و از منوی باز شده Sync Project with Gradle Files را انتخاب کنید.

gradle_sync

حال با خطای زیر مواجه می شوید که جای هیچ نگرانی نیست و با دنبال کردن این پست به احتمال زیاد مشکلتان حل می شود :

gradle error

نکته ی مهم : قبل از انجام روش های زیر حتما از پروژه ی خود بک آپ یا پشتیبان تهیه کنید تا در صورت مواجه شدن با هرگونه مشکل، به آسانی بتوانید فایلهای پشتیبان را بازگردانی کنید و پروژه ی خود را از دست ندهید.

روش اول :

بسیاری از افراد با همین روش نتیجه می گیرند. مشکل از اینجا ناشی می شه که مسیر نصب Gradle تون به درستی انتخاب نشده و یا از wrapper استفاده می کنید. برای حل این مشکل سه کلید ترکیبی Control+Alt+S را فشار دهید تا وارد قسمت تنظیمات شوید و سپس از قسمت Gradle گزینه ی Use local Gradle distribution را  انتخاب کنید و مسیر نصب رو به Android Studio بدید. مثل تصویر زیر:

حل مشکل Gradle Sync Android Studio

روش دوم :

از منوی Build گزینه ی Clean Project را انتخاب کنید و پس از اتمام کار، گزینه ی Rebuild Project را انتخاب کنید.

gradle3

روش سوم :

از منوی File گزینه ی Invalidate Caches / Restart را انتخاب کنید. این فرآیند چند دقیقه ای به طول می انجامد :

gradle4

روش چهارم :

برای حل مشکل Gradle Sync Android Studio به دایرکتوری حاوی پروژه ی خود رفته و هر دو دایرکتوری به نام های .gradle و gradle را پاک کنید. مطابق شکل زیر :

حل مشکل Gradle Sync Android Studio 8

روش پنجم :

چهار کلید Control + ALT + Shift + S را به صورت ترکیبی فشار دهید. در اینصورت پنجره ی ساختار پروژه را همانند زیر مشاهده می کنید :

حالا گزینه ها را مانند شکل زیر یا بسته به نیازتان برای مثال ورژن SDK و Version Code و Version Name و Target Compatibility و غیره را پر کنید.

gradle6 gradle5

روش ششم :

اگر همچنان مشکلتان برطرف نشده و IDE را نمیتوانید Sync کنید از این روش استفاده کنید. برای حل مشکل Gradle Sync Android Studio در این روش می بایست از اتصال خود به اینترنت اطمینان حاصل کنید و سپس از Project Tree خود gradle-wrapper.properties را انتخاب کنید و محتویات آن را که دارای لینک Gradle می باشد را از حالت اتصال SSL خارج کنید، یعنی به جای https می بایست http باشد. همانند شکل زیر :

gradle7

حال اگر دوباره عمل sync را انجام دهید به احتمال زیاد پس از دانلود، مشکل بر طرف شده است.

درباره ی حمیدرضا

حمیدرضا هستم فارغ التحصیل رشته الکترونیک. رشته ام و کامپیوترها و موبایل و اینترنت و گیمینگ گوشه ای از علائق من هستن. زنده باد مایکروسافت!

این پست هم توصیه می شود:

دانلود برنامه آموزش گیتار : Yousician

دانلود برنامه آموزش گیتار : Yousician

Yousician یکی از اپلیکیشن های برتر و منتخب مارکت است که قادر است به کاربر …

۸۴ دیدگاه

  1. سلام
    با عرض خسته نباشید
    من یه مشکل موقعه اجرا Android Studio داشتن لطفا کمک کنید خیلی وقت که درگیرشم
    Error:(26, 13) Failed to resolve: com.android.support:appcompat-v7:26
    با تشکر

  2. سلام خسته نباشید من موقع راه اندازی ارور سینک gradle میده سینک رو که میزنم خیلی طول میکشه تا سینکش کنه باید چی کار کنم؟لوکیشنشم تغییر دادم از wrapper استفاده میکرد همون کاری که گفتید انجام دادم دوباره سینک زدم ولی طول میکشه

  3. من تموم api اندرید از خود برنامه دانلود کردم sdk کامله ولی باز ۳ تا ارور میده
    یکیش Error:(26, 13) Failed to resolve: com.android.support:appcompat-v7:26
    هرکاریم میکنم درست نمیشه

    ؟؟؟ یه راهنمایی کنید

  4. آقا دم شما گرم کارمون راه افتاد

  5. سلام آقا حمید رضا متاسفانه هیچکدوم از روش هایی که گفتید مشکل من حل نشد اگر میشه به تلگرام بنده پیام بدید من یه عکس از صفحه برنامه بدم بهتون ببینید میتونید بنده رو راهنمایی کنید . ممنون میشم کمکم کنید . پروژه دانشگاهمه اگر این راه بیفته بدم به استادم برنامه رو فارغالتحصیل میشم .
    ۰۹۳۷۷۹۷۸۱۲۸

  6. با سلام
    چگونه می توانم مشکل
    import com.google.android.gms.common.GooglePlayServicesClient.ConnectionCallbacks;
    import com.google.android.gms.common.GooglePlayServicesClient.OnConnectionFailedListener;
    import com.google.android.gms.location.LocationClient;

    را در اندروید استودیو حل کنم

    • آقا ممنون از لطفت خدا خیرت بده

      خیلی وقته گیر این بوودم

      فقط دوستان یه نکته به sdk های آفلاین اعتماد نکنین که خیلیش ناقصه
      هرطور میتونید تحریم رو دور بزنید و مستقیم دانلود کنید
      مشکل منم همین نقص بود
      ممنون یک دنیا

  7. سلام دوستان
    من به این مشکل موقعه اجرا Android Studio برخوردم

    Error:(23, 24) Failed to resolve: com.android.support.test.espresso:espresso-core:2.0

    لطفا راهنمایی بفرمایید

  8. سلام مجدد دوستان
    من باز به مشکل موقعه اجرا Android Studio برخوردم

    Error:(26, 13) Failed to resolve: com.android.support:appcompat-v7:23

    متاسفانه چون تازه کارم لطفا راهنمایی و راه حلش رو چون مبتدی هستم بفرمایید

  9. سلام به شما حمید رضا جان
    Error:CreateProcess error=216, This version of %1 is not compatible with the version of Windows you’re running. Check your computer’s system information to see whether you need a x86 (32-bit) or x64 (64-bit) version of the program, and then contact the software publisher
    میشه بگید این ارور رو چه جور برطرف کنم؟؟

  10. سلام اندروید استودیو من لایوت رو برام نمایش نمیده که بتونم باتن یا هرچیز دیگه ای به پروژه اضافه کنم حتی اون هلو ورلد که بصورت پیش فرض تو لایوت هست هم وجود نداره چیکار کنم؟

  11. ببینید پروژه که میسازم و لایوت رو باز میکنم چیزی نشون نمیده که بهش باتن و تکس باکس و اینچیزا اضافه کنم ینی بخش دیزاین لایوتم رو نشون نمیده

  12. با سلام
    چگونه می توانم مشکل
    import com.google.android.gms.common.GooglePlayServicesClient.ConnectionCallbacks;
    import com.google.android.gms.common.GooglePlayServicesClient.OnConnectionFailedListener;
    import com.google.android.gms.location.LocationClient;

    را در اندروید استودیو حل کنم

  13. سلام، من موقع وارد کردن نمونه ها از گیت هاب با این خطاها روبه رو شدم، sdk آپدیت کردم درست نشد، بعد اندروید استودیو رو به نسخه ۳ ارتقا دادم، الان حتی موقع ساختن یک پروژه خالی و ساده هم همه ی این ارورها رو میده، حذف کردم دوباره نصب کردم باز هم همین مشکل رو دارم،
    Classpath’: Could not resolve com.android.support:appcompat-v7:26.1.0
    Unable to resolve dependency for ‘:app@debugUnitTest/compileClasspath’: Could not resolve junit:junit:4.12
    Unable to resolve dependency for ‘:app@releaseUnitTest/compileClasspath’: Could not resolve com.android.support:appcompat-v7:26.1.0.
    Unable to resolve dependency for ‘:app@debugAndroidTest/compileClasspath’: Could not resolve com.android.support.test:runner:1.0.1.
    Unable to resolve dependency for ‘:app@debugAndroidTest/compileClasspath’: Could not resolve com.android.support.test.espresso:espresso-core:3.0.1.
    تازه کارم و بعد از سرچ کردن چندتا پیشنهاد دیدم که ادرس maven را به رپوزیتوری اضافه کنم که اونم جواب نداد.
    :وقتی پوشه ریپوزیتوری رو نگاه می کنم آخرین ورژن که دارم ۲۶٫۰٫۰-alpha است در حالی که من کامل آپدیت کردم و چیزی نمونده، نمی دونم چرا پوشه -v7:26.1.0 در ریپوزیتوری وجود ندارد. تغییر آی پی هم دادم و gradle را هم روی هر دوحالت افلاین و انلاین امتحان کردم

  14. سلام خسته نباشید ..ببخشید ایا سینک شدن گریدل در اندروید استودیو ربطی به اندروید اس دی کا و محتویاتش داره یا نه؟
    و اینکه برای ابزار اندروید اس دی کا کدوم سیستم ایمیج ها لازمه و نیازه که دانلود شه و مال چن تا ای پی آی نبازه دانلود شه اخه خیییلی زیادن
    و سوال بعد اینکه ایا مهمه که ورژن اون ابزار دانلودی برای اس دی کا حتما یکی و هماهنگ باشه مثلا ایا لازمه اگر پلتفرم تولز ورژن ۲۵ بود اونوقت باید بیلدتولز هم ۲۵ باشه تا باهم هماهنگ شن یا هر ورژنی باشه مشکلی نیست؟

    ببخشید من تازه کارم و توی سینک شدن گریدل و همبن نصب ابزارهای مورد نیاز مثل سیستم ایمیج که کدوم نسخه نیاره و این حرفا خیلی مشکل پیدا کردم و همس ارور سینک میده برام

    ممنون میشم خلاصه هم که باشه جوابمو بدین تشکر

    • سلام در مورد سوال اول بله.
      دوم مثلا برای اندروید ۷٫۱٫۱ (۲۵) رو دانلود کنید، اما minSDK رو روی مثلا ۱۵ قرار بدید تا کسایی که حداقل اندروید ۴ دارند بتونن از برنامه استفاده کنند.
      سوم همیشه buildtools رو روی آخرین نسخه قرار بدید مثلا ۲۵٫۰٫۱

      خواهش می کنم. تازه اول کاره، با سیستم های متن باز و لینوکسی تا بخواین مشکلات پیش میاد! مستندات گوگل هم چندان جالب نوشته نشدن.

  15. آقا دمت گرم …خدا پدر مادرتو بیامرزه…..این گریدل دهنه منو سرویس کرده بود ….

  16. سلام دوست عزیز
    ممنون از راهنماییت
    مشکل من برطرف شد

  17. سلام
    Unable to resolve dependency for ‘:app@debug/compileClasspath’: Could not resolve com.android.support:appcompat-v7:26.1.0.
    یعنی چی در ضمن پیش نمایش یا همون prewiew is unable شده چکار کنم

  18. از اندروید استودیو ۳ استفاده میکنم و خطاهای زیر را میدهد .
    تمام ترفندهای توی اینترنت را پیاده کردم که خودش را اپدیت کنه و این خطاها را نده ولی نشد .
    لطفا اگر نظری دارید بفرمایید .
    Could not resolve com.android.support:appcompat-v7:27.0.2.

    Could not resolve com.android.support.test:runner:1.0.1.

    Could not resolve com.android.support.test.espresso:espresso-core:3.0.1.

  19. سلام،تو اندروید استودیو دکمه run خاموشه.لطفا کمک کنید.

  20. واقعا اگه آدمهای دست و دلبازی مثل شما نبودن ما می خواستیم چکار کنیم؟

  21. سلام
    All packages are not available for download
    فیلتر شکن دارم استفاده میکنم تا گریدل هام ساخته بشه ، اما میگه پکیجش در دسترس نیست….
    نمیدونم مشکل از کجاست

  22. The following packages are not available:
    – Package id build-tools;19.1.0

    sdk 19 رو هم دارم ….

  23. Error:Unknown host ‘services.gradle.org’. You may need to adjust the proxy settings in Gradle.
    Learn about configuring HTTP proxies in Gradle

    با سلام و خسته نباشید آقا من موقع باز کردی پروژه این error رو میده میشه راهنماییم کنید لطفا

  24. Error:Unable to start the daemon process.
    This problem might be caused by incorrect configuration of the daemon.
    For example, an unrecognized jvm option is used.
    Please refer to the user guide chapter on the daemon at https://docs.gradle.org/2.14.1/userguide/gradle_daemon.html
    Please read the following process output to find out more:
    ———————–
    Error occurred during initialization of VM
    Could not reserve enough space for 1572864KB object hea
    چند وقتی هست اندروید استدیو این ارور رو میده چطئر باید درستش کنم ممنون میشم کمک کنید

  25. سلام نیاز فوری به کمک و راهنمایی شما دارم خواهشا خواهشا هرچه سریعتر راهنماییم کنید این ارور اسیرم کرده
    Gradle sync failed: Cause: error in opening zip file
    Consult IDE log for more details (Help | Show Log)

  26. من قبلا intellij ideنصب کرده بودم حتی در قسمت remove program پاک کردم کاری نبود انجام نداده باشم هرچی سینک تو سایت ایرانی و خارجی بود انجام دادم ولی متاسفانه انجام نشد تو سایتای خارجی هم به جواب نمی رسیدن

  27. سلام آقای حمید رضا
    مشکل مشابه این در اینتلیج‌ایدیا هم هست. من روش‌های شماره ۲ و ۳ و ۶ رو به کار بستم که هیچ‌کدام جواب ندادند. در روش آخر اون ورژن گرادل مربوطه رو هم داونلود کرد ولی باز هم نتیجه نداد. نکته این که من روی مک کار می‌کنم.
    چه کار کنم؟

    • سلام
      پس از همون روش اول گزینه ی Use default Gradle wrapper رو انتخاب کنید و سپس از یک نرم افزار تغییر آی پی مثل هات اسپات استفاده کنید تا Gradle به صورت خودکار دانلود بشه.
      در مورد IntelliJ Idea هم نمی دونم پیشنهادم اینه که از همین Android Studio استفاده کنید.

  28. با سلام و خسته نباشید
    من تقریبا همه ای راهای که شما گفتید و توی سایتهای دیگه بود رو امتحان کردم کلاف شدم و همش این پیام رو میده
    http://s6.uplod.ir/i/00915/o7lpie1vzon0.png

    Unable to resolve dependency for ‘:app@debug/compileClasspath’: Could not resolve com.android.support:appcompat-v7:26.1.0. Open File Show Details

    Unable to resolve dependency for ‘:app@debugAndroidTest/compileClasspath’: Could not resolve com.android.support.test.espresso:espresso-core:3.0.1. Open File Show Details
    و …
    و وقتی را حل شما رو اجار می کنم این پیام رو میده
    http://s6.uplod.ir/i/00915/r8ikntt6gwn6.png

    Could not find method ompile() for arguments [com.android.support:support-core-utils:27.0.2] on object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler. Please install the Android Support Repository from the Android SDK Manager. Open Android SDK Manager

    اما من برنامه Android Support Repository رو نصب کردم

    http://s6.uplod.ir/i/00915/v2qjdep3g7k9.png

    http://s6.uplod.ir/i/00915/3c8sqb40edh4.png

    آیا نسخه ای هست از android studio اس دی کی (sdk) و باقی ابزار های مورد نیاز رو خودش نصب کنه یا اگر نیست را حل دیگه ای وجود دارد؟ ممنون میشم اگر جواب من رو بدید

  29. وقت بخیر
    Failed to find target with hash string’android-26′ in: C:\Users\angel\AppData\Local\Android\sdk
    Install missing platform(s) and sync project
    چهار روزه درگیرشم😧

    • سلام به نظر می رسه SDK شما ناقص هست. باید دوباره دانلود کنید یا از کسی بگیرید.

      • ممنون از پاسختون
        قبلا صفحه آپدیت sdk داخل خود برنامه می نوشت که چه پلتفرمی دنلود نشده، اما الان هیچی نمیاره
        سر برگ دوم مربوط به آپدیت sdk هم دو مورد هستن که دنلود میکنم و پروسه نصبش هم مینویسه کامل بوده اما همچنان جلو این دو گزینه نوشته notinstall
        از قندشکنهای مختلف هم استفاده کردم

  30. با سلام . من تازه شروع به یادگیری اندروید کردم و از محیط اندروید استدیو استفاده می کنم . وقتی برنامه رو نصب می کنم و بازش می کنم یه مراحلی برای نصب داره و ازم می خواد که sdk رو بهش معرفی کنم . ادرس sdk توی درایو E سیستم هستش . وقتی ادرسو وارد می کنم زیر کادر آدرس یه پیغام خطا با این مضمون میاد “آدرس sdk نباید شامل فاصله سفید (whitespace) باشد. در ضمن من کل برنامه های مربوط به اندروید رو توی درایو E نصب کردم میشه رهنمایی کنید که مشکل کجاست.

  31. سلام من اندروید استودیو را نصب کرده بودم و کاملا کار میکرد.الان لعد از چند روز که باز کردم با یک ارور مواجه شدم.راه حل های شما رو هم امتحان کردم ولی درست نشد.این اروریه که بهم میده :
    Gradle sync failed: org/gradle/tooling/UnsupportedVersionException
    Consult IDE log for more details (Help | Show Log)
    NoClassDefFoundError: org/gradle/tooling/model/UnsupportedMethodException
    ممکنه رااهنماییم کنید ممنون

  32. عجب !!!!!!!!!!!!!!!!!!!!!!!
    سیستم های متن باز بی کیفت و بی نظم وترتیب؟؟؟؟
    فکر کنم شما یه نسبتی با بیل گیتسو هم دستاش داری
    اولا مشکل Gradle Sync ربطی به این مواردی که بالا نوشتید نداره و مشکل در کانکت شدن به سرور های گوگله که به واسطه تحریم های گوگل این مشکل پدید اومده
    برای حل این مشکل کافیه یک وی پی ان تهیه کنید(حتما حتما از این فیلتر شکن های رایگان که هی قطع میشه استفاده نکنید و از این وی پی ان های با کیفیت که قیمت حدودا شش هزار تومان هست استفاده کنید)
    در ضمن در جواب این نویسنده عزیز بگم که دنیای آینده دنیای متن بازه
    و اندروید همه به خاطر کارایی و کیفیت محبوب شده الکی نبوده

    • سلام عزیز خوش اومدی جوش نزن نه من نسبتی با بیل گیتس ندارم و بی سوادم. فقط نظرم رو گفتم چرا ناراحت میشی در جوابت فقط بگم که ابزارایی مثل Android Studio و Eclipse و … اصلا به گرد پای Visual Studio نمی رسن. همینطور زبان های متن باز مثل PHP که زبون فلجی هم هست در مقابل C# ASP.NET چی برای گفتن داره؟ یا سیستم عامل های لینوکسی که حتی فتوشاپ هم ندارند و همینطور میتونم ادامه بدم اما در مورد همین مشکل Gradle Sync کاربر های زیادی همین راه حل شما یعنی پر.اکسی و اینا رو امتحان کردن ولی جواب نگرفتن. تازه این اول راهه! توی برنامه نویسی اندروید اینقدر به مشکلات متعدد و خطاهای استفاده از خود کتابخونه های گوگل! بر می خوریم که زحمت برنامه نویس رو دو چندان میکنه.
      اما خب قبول دارم به دلیل رایگان بودن و در نتیجه پایین اومدن هزینه ی هر پروژه اندروید هم محبوبیت و استفاده ی خودش رو داره و خودم هم استفاده میکنم.
      اما شک نکنید اگر ویندوز فون به محبوبیت و موفقیت می رسید الان گوشی ها و تبلت های فوق العاده کاربردی تری داشتیم که برای توسعه دهنده ها هم خیلی بهتر بود.

  33. سلام .یه سوال داشتم
    اول این که یه ادرس واسه دانلود sdk می خواستم
    یه sdk هست ۲۲۰ گیگ/ یکی هست ۴۰ گیگ /یکی هست ۱۸ گیگ /یکی هست ۱۱ گیگ /اگه میشه بگید این ها باهم چه
    فرقی می کنند .

    • سلام خب بسته به ورژن اندروید مورد نیازتون و کتابخانه ها و API هایی که نیاز دارید باید دانلود کنید. بهترین کار اینه که نیازتون رو پیدا کنید و خودتون از طریق دانلود شبانه رایگان همراه اول و یک پر-ا-کسی خوب دانلود کنید.

  34. سلام من از روش اول ادرس gradle رو دادم دوتا ارور ریدانلود رفت ولی بازم میگه
    gradle project refresh failed
    failed to find target with hash sting “android-26” in D:SDK/AndroidSDK
    install missing platform and sync project
    ولی با فیل.تر.شکن هم که میزنم دانلود نمیشه و میگه
    all packages are not available for download
    the following package is not available
    package id platforms, android-26
    و تو قسمت ادیتور هم ارور
    gradle project sunc failed. basic functionaly (e.g. editing, debugging) will not work properly
    و دیزاین ادیتور هم باز نمیشه میگه
    design editor is unavailable untill a successful build

    خلاصه که خیلی اذیت میکنه :((((
    تازه ایکون AVD Manager هم غیر فعاله با اینکه نصبه و وقتی رو فایله .exe میزنم از تو فولدرش باز میشه گزینه هاشم میاره اما میزنم ساخته شه یا گزینه ساختن دیوایس غیرفعاله یا موقع ساختن همینجور میمونه اررو میده که اسنپشات ها برای یه سخت افزار دیگه بوده و همینجور میمونه 😐

    ممنون میشم راهنمایی کنید خیلی وقته درگیرم باهاش

  35. یادم رفت بگم ورژن استودیوم ۳٫۰٫۱
    gradle 4.1
    sdk api 17 – 24

  36. سلام و خسته نباشید.
    وقت بخیر .من یه مشکلی دارم که هر کاری میکنم حل نمیشه ، خواهشا من را راهنمایی کنید.برای دیزاین با این خطا ماجه شدم. Design Editor is unavailable until a successful build .

    • پروژه تون رو Build نکردید از منوی بالا همین گزینه رو انتخاب کنید.

      • سلام.میشه بیشتر راهنمایی کنید؟من فکر میکردم مشکل از sdk tool است که اون را آپدیت کردم ولی باز مشکل پا برجاست.یه توضیحی هم که در توضیح این خطا اومده که باید یک فایل به نام builder-3.1.2.jar را باید دانلود کنم که دانلودکردم ولی نمیدونم کجا باید قرارش دهم.ممنون میشم راهنمایی کامل کنید تا این مشکل من حل شود….با تشکر فراوان

        • سلام راه حل اول که توضیح دادم رو و تصویرش هم هست انجام بدید و دقت کنید که Offline Work چک نخورده باشه. بعد پروژه رو build کنید.

          • سلام.با تشکر فراوان بابت وقتی که گذاشتید.مشکل حل شد ویه مشکل دیگه پدیدار شده .قبلا سیستم run میشد و مشکلی نداشت ولی الان دیگه run نمیده و خطای زیر را میده.ntel HAXM is required to run this AVD. /dev/kvm is not foundضمنا با توجه به راهکار این خطا وارد بایوس سیستمم شدم ولی این مشکل وجود داره. ….متشکر میشم من تازه وارد را راهنمایی کنید.

          • خواهش می کنم. Intel HAXM برای سرعت دادن به اجرای ماشین مجازی اندروید لازمه اگر نصب نکردید از سایت اینتل با یک جستجو می تونید دریافت کنید اگر هم پردازندتون AMD هست که اصلاً نمی تونید از AVD استفاده کنید.

  37. سلام مشکلgradle دارم ارورشم startup failedهست چیکار باید کنم؟

  38. سلام مهندس ؛

    دلیل این خطا چیه و چور میشه رفعش کرد ؟

    http://uupload.ir/files/njpq_52d.jpg

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *